#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""The setup script."""

from setuptools import setup, find_packages

with open("README.md") as readme_file:
    readme = readme_file.read()

requirements = [
    "Click>=6.0",
    "pandas>=0.24",
    "seaborn>=0.9",
    "xlrd>=1.2",
    "scikit-image>=0.15",
    "scikit-learn>=0.20",
    "peakutils>=1.3",
    "tqdm>=4.31",
    "openpyxl>=2.6",
    "scipy>=1.2",
    "xlwt>=1.3",
    "xlsxwriter>=1.1",
    "reportlab>=3.5",
    "PyQt5>=5.12"
]

setup_requirements = [ ]

test_requirements = [ ]

setup(
    author="Holger Frey",
    author_email="mail@holgerfrey.de",
    classifiers=[
        "Development Status :: 2 - Pre-Alpha",
        "Intended Audience :: Developers",
        "License :: Other",
        "Natural Language :: English",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
    ],
    description="Image analysis for the mTor project",
    entry_points={
        "console_scripts": [
            "mtor=mtor.cli:main",
        ],
    },
    install_requires=requirements,
    license="Beerware license",
    long_description=readme,
    include_package_data=True,
    keywords="mtor",
    name="mtor",
    packages=find_packages(include=["mtor"]),
    setup_requires=setup_requirements,
    url="ttps://git.cpi.imtek.uni-freiburg.de/holgi/mtor",
    version="1.0.1",
    zip_safe=False,
)
